Index: /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/UndoRedo/Commands/TransformCommand.cs
===================================================================
--- /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/UndoRedo/Commands/TransformCommand.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/UndoRedo/Commands/TransformCommand.cs	(revision 4068)
@@ -1,205 +1,188 @@
 using System;
-using System.Collections.Generic;
-using System.Text;
 using System.Collections;
 using System.Drawing;
-namespace Netron.Diagramming.Core
-{
-    /// <summary>
-    /// ICommand implementation of the transform action
-    /// </summary>
-    class TransformCommand : Command
-    {
-        #region Fields
-        Hashtable transformers;
-       
-        double scalex, scaley;
-        Point origin;
-        #endregion
+namespace Netron.Diagramming.Core {
+  /// <summary>
+  /// ICommand implementation of the transform action
+  /// </summary>
+  class TransformCommand : Command {
+    #region Fields
+    Hashtable transformers;
 
-        #region Properties
+    double scalex, scaley;
+    Point origin;
+    #endregion
+
+    #region Properties
 
 
 
-        #endregion
+    #endregion
 
-        #region Constructor
-        /// <summary>
-        /// Initializes a new instance of the <see cref="T:TransformCommand"/> class.
-        /// </summary>
-        /// <param name="controller">The controller.</param>
-        /// <param name="origin">The origin.</param>
-        /// <param name="scalex">The scalex.</param>
-        /// <param name="scaley">The scaley.</param>
-        /// <param name="transformers">The transformers.</param>
-        public TransformCommand(IController controller, Point origin, double scalex, double scaley, Hashtable transformers)
-            : base(controller)
-        {
-            this.Text = "Transform selection";
-            this.transformers = transformers;
-            this.origin = origin;
-            this.scalex = scalex;
-            this.scaley = scaley;
-        }
-        #endregion
+    #region Constructor
+    /// <summary>
+    /// Initializes a new instance of the <see cref="T:TransformCommand"/> class.
+    /// </summary>
+    /// <param name="controller">The controller.</param>
+    /// <param name="origin">The origin.</param>
+    /// <param name="scalex">The scalex.</param>
+    /// <param name="scaley">The scaley.</param>
+    /// <param name="transformers">The transformers.</param>
+    public TransformCommand(IController controller, Point origin, double scalex, double scaley, Hashtable transformers)
+      : base(controller) {
+      this.Text = "Transform selection";
+      this.transformers = transformers;
+      this.origin = origin;
+      this.scalex = scalex;
+      this.scaley = scaley;
+    }
+    #endregion
 
-        #region Methods
+    #region Methods
 
-        /// <summary>
-        /// Perform redo of this command.
-        /// </summary>
-        public override void Redo()
-        {
-            //necessary to invalidate
-            Rectangle recBefore = CalculateRectangle(this.transformers);
-            recBefore.Inflate(20, 20);
-            Transform(this.origin, scalex, scaley, transformers);
-            Rectangle recAfter = CalculateRectangle(this.transformers);
-            recAfter.Inflate(20, 20);
-            this.Controller.View.Invalidate(recBefore);
-            this.Controller.View.Invalidate(recAfter);
+    /// <summary>
+    /// Perform redo of this command.
+    /// </summary>
+    public override void Redo() {
+      //necessary to invalidate
+      Rectangle recBefore = CalculateRectangle(this.transformers);
+      recBefore.Inflate(20, 20);
+      Transform(this.origin, scalex, scaley, transformers);
+      Rectangle recAfter = CalculateRectangle(this.transformers);
+      recAfter.Inflate(20, 20);
+      this.Controller.View.Invalidate(recBefore);
+      this.Controller.View.Invalidate(recAfter);
 
-        }
-        /// <summary>
-        /// Calculates the bounding rectangle of the transformed items.
-        /// </summary>
-        /// <param name="transformers">The transformers.</param>
-        /// <returns></returns>
-        public static Rectangle CalculateRectangle(Hashtable transformers)
-        {
-            Rectangle rec = Rectangle.Empty;
-            if(transformers == null || transformers.Count == 0)
-                return Rectangle.Empty;
-            bool first = true;
-            foreach(object val in transformers.Values)
-            {
-                EntityBone bone = (EntityBone) val;
-                if(bone.Rectangle.Equals(Rectangle.Empty))
-                    continue;
-                if(first)
+    }
+    /// <summary>
+    /// Calculates the bounding rectangle of the transformed items.
+    /// </summary>
+    /// <param name="transformers">The transformers.</param>
+    /// <returns></returns>
+    public static Rectangle CalculateRectangle(Hashtable transformers) {
+      Rectangle rec = Rectangle.Empty;
+      if (transformers == null || transformers.Count == 0)
+        return Rectangle.Empty;
+      bool first = true;
+      foreach (object val in transformers.Values) {
+        EntityBone bone = (EntityBone)val;
+        if (bone.Rectangle.Equals(Rectangle.Empty))
+          continue;
+        if (first) {
+          rec = bone.Rectangle;
+          first = false;
+        } else
+          rec = Rectangle.Union(rec, bone.Rectangle);
+
+      }
+      return rec;
+    }
+
+    /// <summary>
+    /// Perform undo of this command.
+    /// </summary>
+    public override void Undo() {
+      //necessary to invalidate
+      Rectangle recBefore = CalculateRectangle(this.transformers);
+      recBefore.Inflate(20, 20);
+      Transform(this.origin, 1, 1, transformers);
+      Rectangle recAfter = CalculateRectangle(this.transformers);
+      recAfter.Inflate(20, 20);
+      this.Controller.View.Invalidate(recBefore);
+      this.Controller.View.Invalidate(recAfter);
+    }
+
+    public static void Transform(
+        Point origin,
+        double scalex,
+        double scaley,
+        Hashtable transformers) {
+      Rectangle r;
+      int x, y, w, h;
+
+      //the new location of the connector
+
+      EntityBone bone;
+      IConnection conn;
+      IShape shape;
+
+      //Scale the entities; this could be done via matrix transform but it seems some rounding is necessary since I got terrible 
+      //decimal accumulation mistakes without rounding off the double data type.
+      //However, if one rotation of shapes will be added the matrix tranfromation will be unavoidable.
+      foreach (object key in transformers.Keys) {
+        bone = (EntityBone)transformers[key];
+        r = bone.Rectangle;
+        //Scale the rectangle if not empty. If the rectangle is empty it is a connection.
+        if (r.Equals(Rectangle.Empty)) //the bone represents a connection
                 {
-                    rec = bone.Rectangle;
-                    first = false;
-                }
-                else
-                    rec = Rectangle.Union(rec, bone.Rectangle);
+          conn = key as IConnection;
+          //scaling of the From connector
+          if (!bone.ConnectorPoints[0].Equals(Point.Empty)) {
 
-            }
-            return rec;
-        }
+            x = Convert.ToInt32(Math.Round(((double)bone.ConnectorPoints[0].X - (double)origin.X) * scalex + origin.X - conn.From.Point.X, 1));
+            y = Convert.ToInt32(Math.Round(((double)bone.ConnectorPoints[0].Y - (double)origin.Y) * scaley + origin.Y - conn.From.Point.Y, 1));
+            //it's important to use the Move method because shifting the Point could entail additional moves on the attached connectors
+            conn.From.MoveBy(new Point(x, y));
+          }
+          //scaling of the To connector
+          if (!bone.ConnectorPoints[1].Equals(Point.Empty)) {
+            x = Convert.ToInt32(Math.Round(((double)bone.ConnectorPoints[1].X - (double)origin.X) * scalex + origin.X - conn.To.Point.X, 1));
+            y = Convert.ToInt32(Math.Round(((double)bone.ConnectorPoints[1].Y - (double)origin.Y) * scaley + origin.Y - conn.To.Point.Y, 1));
+            conn.To.MoveBy(new Point(x, y));
+          }
+        } else    //it's a shape
+                {
+          shape = key as IShape;
 
-        /// <summary>
-        /// Perform undo of this command.
-        /// </summary>
-        public override void Undo()
-        {
-            //necessary to invalidate
-            Rectangle recBefore = CalculateRectangle(this.transformers);
-            recBefore.Inflate(20, 20);
-            Transform(this.origin, 1, 1, transformers);
-            Rectangle recAfter = CalculateRectangle(this.transformers);
-            recAfter.Inflate(20, 20);
-            this.Controller.View.Invalidate(recBefore);
-            this.Controller.View.Invalidate(recAfter);
-        }
+          //TransformShape(ref origin, scalex, scaley, ref r, ref bone, key, out x, out y, out w, out h, out a, out b, out p, out shape);
+          x = Convert.ToInt32(Math.Round(
+              (r.X - origin.X) * scalex + origin.X, 1));
 
-        public static void Transform(
-            Point origin, 
-            double scalex, 
-            double scaley, 
-            Hashtable transformers)
-        {
-            Rectangle r;
-            int x, y, w, h;
-           
-            //the new location of the connector
-        
-            EntityBone bone;            
-            IConnection conn;
-            IShape shape;
+          y = Convert.ToInt32(Math.Round(
+              (r.Y - origin.Y) * scaley + origin.Y, 1));
 
-            //Scale the entities; this could be done via matrix transform but it seems some rounding is necessary since I got terrible 
-            //decimal accumulation mistakes without rounding off the double data type.
-            //However, if one rotation of shapes will be added the matrix tranfromation will be unavoidable.
-            foreach(object key in transformers.Keys)
-            {
-                bone = (EntityBone) transformers[key];
-                r = bone.Rectangle;
-                //Scale the rectangle if not empty. If the rectangle is empty it is a connection.
-                if(r.Equals(Rectangle.Empty)) //the bone represents a connection
-                {
-                    conn = key as IConnection;
-                    //scaling of the From connector
-                    if(!bone.ConnectorPoints[0].Equals(Point.Empty))
-                    {
+          w = Convert.ToInt32(r.Width * scalex);
 
-                        x = Convert.ToInt32(Math.Round(((double) bone.ConnectorPoints[0].X - (double) origin.X) * scalex + origin.X - conn.From.Point.X, 1));
-                        y = Convert.ToInt32(Math.Round(((double) bone.ConnectorPoints[0].Y - (double) origin.Y) * scaley + origin.Y - conn.From.Point.Y, 1));
-                        //it's important to use the Move method because shifting the Point could entail additional moves on the attached connectors
-                        conn.From.MoveBy(new Point(x, y));
-                    }
-                    //scaling of the To connector
-                    if(!bone.ConnectorPoints[1].Equals(Point.Empty))
-                    {
-                        x = Convert.ToInt32(Math.Round(((double) bone.ConnectorPoints[1].X - (double) origin.X) * scalex + origin.X - conn.To.Point.X, 1));
-                        y = Convert.ToInt32(Math.Round(((double) bone.ConnectorPoints[1].Y - (double) origin.Y) * scaley + origin.Y - conn.To.Point.Y, 1));
-                        conn.To.MoveBy(new Point(x, y));
-                    }
-                }
-                else    //it's a shape
-                {
-                    shape = key as IShape;
+          h = Convert.ToInt32(r.Height * scaley);
 
-                    //TransformShape(ref origin, scalex, scaley, ref r, ref bone, key, out x, out y, out w, out h, out a, out b, out p, out shape);
-                    x = Convert.ToInt32(Math.Round(
-                        (r.X - origin.X) * scalex + origin.X, 1));
-
-                    y = Convert.ToInt32(Math.Round(
-                        (r.Y - origin.Y) * scaley + origin.Y, 1));
-
-                    w = Convert.ToInt32(r.Width * scalex);
-
-                    h = Convert.ToInt32(r.Height * scaley);
-
-                    // Only perform the tranform if the rectangle's height 
-                    // and width are less than or equal to the shape's  
-                    // min/max size.
-                    if ((w <= shape.MaxSize.Width) &&
-                        (h <= shape.MaxSize.Height) &&
-                        (w >= shape.MinSize.Width) &&
-                        (h >= shape.MinSize.Height))
-                    {
-                        shape.Transform(x, y, w, h);
-                    }
-
-                }
-
-            }
+          // Only perform the tranform if the rectangle's height 
+          // and width are less than or equal to the shape's  
+          // min/max size.
+          if ((w <= shape.MaxSize.Width) &&
+              (h <= shape.MaxSize.Height) &&
+              (w >= shape.MinSize.Width) &&
+              (h >= shape.MinSize.Height)) {
+            shape.Transform(x, y, w, h);
+          }
 
         }
 
-        //private static void TransformShape(ref Point origin, double scalex, double scaley, ref Rectangle r, ref EntityBone bone, object key, out int x, out int y, out int w, out int h, out double a, out double b, out Point p, out IShape shape)
-        //{
+      }
+
+    }
+
+    //private static void TransformShape(ref Point origin, double scalex, double scaley, ref Rectangle r, ref EntityBone bone, object key, out int x, out int y, out int w, out int h, out double a, out double b, out Point p, out IShape shape)
+    //{
 
 
-        //    //(key as IDiagramEntity).Rectangle = new Rectangle(x, y, w, h);
+    //    //(key as IDiagramEntity).Rectangle = new Rectangle(x, y, w, h);
 
-        //    if(bone.ConnectorPoints != null)
-        //    {
-        //        shape = key as IShape;
-        //        for(int m = 0; m < bone.ConnectorPoints.Length; m++)
-        //        {
-        //            a = Math.Round(((double) bone.ConnectorPoints[m].X - (double) r.X) / (double) r.Width, 1) * w + x - shape.Connectors[m].Point.X;
-        //            b = Math.Round(((double) bone.ConnectorPoints[m].Y - (double) r.Y) / (double) r.Height, 1) * h + y - shape.Connectors[m].Point.Y;
-        //            p = new Point(Convert.ToInt32(a), Convert.ToInt32(b));
-        //            shape.Connectors[m].Move(p);
-        //        }
-        //    }
-        //}
+    //    if(bone.ConnectorPoints != null)
+    //    {
+    //        shape = key as IShape;
+    //        for(int m = 0; m < bone.ConnectorPoints.Length; m++)
+    //        {
+    //            a = Math.Round(((double) bone.ConnectorPoints[m].X - (double) r.X) / (double) r.Width, 1) * w + x - shape.Connectors[m].Point.X;
+    //            b = Math.Round(((double) bone.ConnectorPoints[m].Y - (double) r.Y) / (double) r.Height, 1) * h + y - shape.Connectors[m].Point.Y;
+    //            p = new Point(Convert.ToInt32(a), Convert.ToInt32(b));
+    //            shape.Connectors[m].Move(p);
+    //        }
+    //    }
+    //}
 
 
 
-        #endregion
-    }
+    #endregion
+  }
 
 }
Index: /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/UndoRedo/Commands/UngroupCommand.cs
===================================================================
--- /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/UndoRedo/Commands/UngroupCommand.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/UndoRedo/Commands/UngroupCommand.cs	(revision 4068)
@@ -1,123 +1,110 @@
-using System;
-using System.Collections.Generic;
-using System.Text;
-using System.Drawing;
-namespace Netron.Diagramming.Core
-{
+namespace Netron.Diagramming.Core {
+  /// <summary>
+  /// Ungroup command
+  /// </summary>
+  class UngroupCommand : Command {
+    #region Fields
+    IBundle bundle;
+    IController controller;
+    IGroup mGroup;
+    #endregion
+
+    #region Properties
     /// <summary>
-    /// Ungroup command
+    /// Gets the newly created group after <see cref="Redo"/> was called
     /// </summary>
-    class UngroupCommand : Command
-    {
-        #region Fields
-        IBundle bundle;
-        IController controller;
-        IGroup mGroup;
-        #endregion
+    public IGroup Group {
+      get { return mGroup; }
+    }
 
-        #region Properties
-        /// <summary>
-        /// Gets the newly created group after <see cref="Redo"/> was called
-        /// </summary>
-        public IGroup Group
-        {
-            get { return mGroup; }
-        }
+    /// <summary>
+    /// Gets the entities.
+    /// </summary>
+    /// <value>The shape.</value>
+    public CollectionBase<IDiagramEntity> Entities {
+      get { return bundle.Entities; }
+    }
 
-        /// <summary>
-        /// Gets the entities.
-        /// </summary>
-        /// <value>The shape.</value>
-        public CollectionBase<IDiagramEntity> Entities
-        {
-            get { return bundle.Entities; }
-        }
+    #endregion
 
-        #endregion
+    #region Constructor
+    /// <summary>
+    /// Initializes a new instance of the <see cref="T:UngroupCommand"/> class.
+    /// </summary>
+    /// <param name="controller">The controller.</param>
+    /// <param name="group">The group.</param>
+    public UngroupCommand(IController controller, IGroup group)
+      : base(controller) {
+      this.Text = "Ungroup";
+      this.controller = controller;
+      this.mGroup = group;
+      bundle = new Bundle();
+    }
+    #endregion
 
-        #region Constructor
-        /// <summary>
-        /// Initializes a new instance of the <see cref="T:UngroupCommand"/> class.
-        /// </summary>
-        /// <param name="controller">The controller.</param>
-        /// <param name="group">The group.</param>
-        public UngroupCommand(IController controller, IGroup group)
-            : base(controller)
-        {
-            this.Text = "Ungroup";
-            this.controller = controller;
-            this.mGroup = group;
-            bundle = new Bundle();
-        }
-        #endregion
+    #region Methods
 
-        #region Methods
+    /// <summary>
+    /// Perform redo of this command.
+    /// </summary>
+    public override void Redo() {
+      //remove the group from the layer
+      this.Controller.Model.DefaultPage.DefaultLayer.Entities.Remove(mGroup);
+      //detach the entities from the group
+      foreach (IDiagramEntity entity in mGroup.Entities) {
+        //this will be recursive if an entity is itself an IGroup
+        entity.Group = null;
+        bundle.Entities.Add(entity);
+        //mGroup.Entities.Remove(entity);
+        Controller.Model.AddEntity(entity);
+      }
+      //change the visuals such that the entities in the group are selected
 
-        /// <summary>
-        /// Perform redo of this command.
-        /// </summary>
-        public override void Redo()
-        {
-            //remove the group from the layer
-            this.Controller.Model.DefaultPage.DefaultLayer.Entities.Remove(mGroup);
-            //detach the entities from the group
-            foreach (IDiagramEntity entity in mGroup.Entities)
-            {
-                //this will be recursive if an entity is itself an IGroup
-                entity.Group = null;
-                bundle.Entities.Add(entity);
-                //mGroup.Entities.Remove(entity);
-                Controller.Model.AddEntity(entity);
-            }
-            //change the visuals such that the entities in the group are selected
+      CollectionBase<IDiagramEntity> col = new CollectionBase<IDiagramEntity>();
+      col.AddRange(mGroup.Entities);
 
-            CollectionBase<IDiagramEntity> col = new CollectionBase<IDiagramEntity>();
-            col.AddRange(mGroup.Entities);
+      this.Controller.Model.Selection.SelectedItems = col;
 
-            this.Controller.Model.Selection.SelectedItems = col;
+      mGroup.Invalidate();
+      mGroup = null;
 
-            mGroup.Invalidate();
-            mGroup = null;
-
-            //note that the entities have never been disconnected from the layer
-            //so they don't have to be re-attached to the anything.
-            //The insertion of the Group simply got pushed in the scene-graph.
+      //note that the entities have never been disconnected from the layer
+      //so they don't have to be re-attached to the anything.
+      //The insertion of the Group simply got pushed in the scene-graph.
 
 
-        }
+    }
 
-        /// <summary>
-        /// Perform undo of this command.
-        /// </summary>
-        public override void Undo()
-        {
+    /// <summary>
+    /// Perform undo of this command.
+    /// </summary>
+    public override void Undo() {
 
-            //create a new group
-            GroupShape group = new GroupShape(this.Controller.Model);
-            //asign the entities to the group
-            group.Entities = bundle.Entities;
+      //create a new group
+      GroupShape group = new GroupShape(this.Controller.Model);
+      //asign the entities to the group
+      group.Entities = bundle.Entities;
 
-            foreach (IDiagramEntity entity in group.Entities)
-            {
-                //this will be recursive if an entity is itself an IGroup
-                entity.Group = group;
-            }
-            //add the new group to the layer
-            this.Controller.Model.DefaultPage.DefaultLayer.Entities.Add(group);
+      foreach (IDiagramEntity entity in group.Entities) {
+        //this will be recursive if an entity is itself an IGroup
+        entity.Group = group;
+      }
+      //add the new group to the layer
+      this.Controller.Model.DefaultPage.DefaultLayer.Entities.Add(group);
 
-            mGroup = group;
+      mGroup = group;
 
-            //select the newly created group
-            CollectionBase<IDiagramEntity> col = new CollectionBase<IDiagramEntity>();
-            col.Add(mGroup);
-            this.Controller.Model.Selection.SelectedItems = col;
-            mGroup.Invalidate();
-
-         
-        }
+      //select the newly created group
+      CollectionBase<IDiagramEntity> col = new CollectionBase<IDiagramEntity>();
+      col.Add(mGroup);
+      this.Controller.Model.Selection.SelectedItems = col;
+      mGroup.Invalidate();
 
 
-        #endregion
     }
 
+
+    #endregion
+  }
+
 }
Index: /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/UndoRedo/UndoInfo.cs
===================================================================
--- /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/UndoRedo/UndoInfo.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/UndoRedo/UndoInfo.cs	(revision 4068)
@@ -1,41 +1,35 @@
-using System;
 
-namespace Netron.Diagramming.Core
-{
-	/// <summary>
-	/// CommandInfo is a class that is used as the
-	/// data type in the undo list and redo stack. It just stores
-	/// a reference to a command and an undo handler.
-	/// </summary>
-	public  class CommandInfo
-	{
-		private ICommand  mCommand;
-		private IUndoSupport mHandler;
+namespace Netron.Diagramming.Core {
+  /// <summary>
+  /// CommandInfo is a class that is used as the
+  /// data type in the undo list and redo stack. It just stores
+  /// a reference to a command and an undo handler.
+  /// </summary>
+  public class CommandInfo {
+    private ICommand mCommand;
+    private IUndoSupport mHandler;
 
-        /// <summary>
-        /// Gets or sets the command.
-        /// </summary>
-        /// <value>The command.</value>
-		public ICommand Command
-		{
-			get{return mCommand;}
-			set{mCommand = value;}
-		}
+    /// <summary>
+    /// Gets or sets the command.
+    /// </summary>
+    /// <value>The command.</value>
+    public ICommand Command {
+      get { return mCommand; }
+      set { mCommand = value; }
+    }
 
-        /// <summary>
-        /// The handler or parent of the undo command
-        /// </summary>
-		public IUndoSupport Handler
-		{
-			get{return mHandler;}
-			set{mHandler = value;}
-		}
+    /// <summary>
+    /// The handler or parent of the undo command
+    /// </summary>
+    public IUndoSupport Handler {
+      get { return mHandler; }
+      set { mHandler = value; }
+    }
 
-        /// <summary>
-        /// Initializes a new instance of the <see cref="T:CommandInfo"/> class.
-        /// </summary>
-		public CommandInfo()
-		{  			
-		}
-	}
+    /// <summary>
+    /// Initializes a new instance of the <see cref="T:CommandInfo"/> class.
+    /// </summary>
+    public CommandInfo() {
+    }
+  }
 }
